Bug 899711 (JBPAPP6-1240) - JDBC / datasource "installer"?
Summary: JDBC / datasource "installer"?
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: JBPAPP6-1240
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER3
: EAP 6.2.0
Assignee: Thomas Hauser
QA Contact: Petr Kremensky
URL: http://jira.jboss.org/jira/browse/JBP...
Whiteboard:
Depends On:
Blocks: JBPAPP6-1248 1006532
TreeView+ depends on / blocked
 
Reported: 2012-01-12 22:49 UTC by Ondřej Žižka
Modified: 2013-12-15 16:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1006532 (view as bug list)
Environment:
Last Closed: 2013-12-15 16:17:13 UTC
Type: Feature Request
Embargoed:


Attachments (Terms of Use)
datasourceprototype.png (104.80 KB, image/png)
2012-11-09 18:25 UTC, Thomas Hauser
no flags Details
jdbcdriverno.png (105.00 KB, image/png)
2012-11-09 18:25 UTC, Thomas Hauser
no flags Details
jdbcdriveryes.png (119.92 KB, image/png)
2012-11-09 18:25 UTC, Thomas Hauser
no flags Details
jdbcinstalled.png (195.12 KB, image/png)
2012-11-09 18:25 UTC, Thomas Hauser
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBPAPP6-1240 0 Major Closed JDBC / datasource "installer"? 2013-10-08 14:29:34 UTC

Description Ondřej Žižka 2012-01-12 22:49:17 UTC
project_key: JBPAPP6

(11:44:33 PM) ozizka-ntb: Regarding the JDBC drivers and Datasources -
(11:44:58 PM) ozizka-ntb: perhaps we could have a maven-based "installer"
(11:45:16 PM) ozizka-ntb: So we wouldn't ship jdbc drivers,
(11:45:39 PM) ozizka-ntb: rather  a pom with jdbc as deps in profiles
(11:46:02 PM) ozizka-ntb: which would activate through -Dds=postgresql
(11:46:28 PM) ozizka-ntb: there would be dependency:copy-dependencies, which would copy the JDBC jar to AS
(11:46:36 PM) ozizka-ntb: and set the datasource
(11:46:59 PM) ozizka-ntb: Maven's role in this would be to get the driver 

All the remaining ways (CLI or console) need the developer/admin to manually provide the jar.

Comment 1 Ondřej Žižka 2012-01-12 22:57:56 UTC
Forgot to add - something like this is in the testsuite. Minus the copying.

Comment 2 Ondřej Žižka 2012-01-12 23:22:30 UTC
Related: https://docspace.corp.redhat.com/docs/DOC-82405  EAP Graphical Installer Requirements

Comment 3 Shelly McGowan 2012-01-18 14:42:56 UTC
to be discussed as an installer feature

Comment 4 Shelly McGowan 2012-02-02 19:21:36 UTC
[per JIRA triage] this issue should remain in the EAP6 TBD for now.  We are discussing the relevance of this and would have a higher impact if we decide to remove H2 from the distribution.  There has also been a discussion on how it can be implemented but the work is not a priority at this time based on the other Installer work in progress.

Comment 5 Dustin Kut Moy Cheung 2012-02-09 21:14:42 UTC
Link: Added: This issue is a dependency of JBPAPP-8085


Comment 6 Dustin Kut Moy Cheung 2012-07-23 14:48:45 UTC
Link: Added: This issue is a dependency of JBPAPP-9555


Comment 7 Dustin Kut Moy Cheung 2012-07-26 13:19:51 UTC
Link: Removed: This issue is a dependency of JBPAPP-8085 


Comment 8 Thomas Hauser 2012-11-08 18:58:11 UTC
This feature has been added for 6.1. Screenshots to follow. 

Comment 9 Thomas Hauser 2012-11-09 18:25:05 UTC
Attachment: Added: datasourceprototype.png
Attachment: Added: jdbcdriverno.png
Attachment: Added: jdbcdriveryes.png
Attachment: Added: jdbcinstalled.png


Comment 10 Thomas Hauser 2012-11-09 18:27:21 UTC
Attached are screenshots of the JDBC installation feature. The installer uses the CommandContext API to add the drivers to EAP. The server is started (in either standalone or domain, user chooses at an earlier step in the installation process), and the correct commands are issued. The server is then shutdown. 

A datasource using the newly installed driver is also installed during the process. 

It is also possible to select multiple jars in the file browser during JDBC driver installation, and all given jars will be copied to an appropriate location. The driver is installed as a core module.

A few things still need to be done:
a) Translation work for all strings
b) A proper description of the Datasource installation page needs to be created


Comment 11 Anne-Louise Tangring 2012-11-13 20:46:42 UTC
Docs QE Status: Removed: NEW 


Comment 13 Thomas Hauser 2013-09-30 14:52:33 UTC
This feature is available in EAP 6.2.0 ER1 and further. Found this issue while cleaning up BZs.

Comment 14 Petr Kremensky 2013-09-30 14:57:09 UTC
Verified on EAP 6.2.0.ER3.


Note You need to log in before you can comment on or make changes to this bug.